Bug 180594 - Web Inspector: Canvas Tab should be turned on by default
Summary: Web Inspector: Canvas Tab should be turned on by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-12-08 11:55 PST by Brian Burg
Modified: 2017-12-15 12:35 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.69 KB, patch)
2017-12-14 21:37 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-12-08 11:55:51 PST
If you do an erase install or blow away your Web Inspector settings, the Canvas Tab is not enabled by default. I think it should be enabled by default, at least while tabs are easy to dismiss.
Comment 1 Brian Burg 2017-12-08 11:56:20 PST
<rdar://problem/35938917>
Comment 2 Devin Rousso 2017-12-14 21:37:38 PST
Created attachment 329458 [details]
Patch
Comment 3 Brian Burg 2017-12-15 12:09:47 PST
Comment on attachment 329458 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2017-12-15 12:35:30 PST
Comment on attachment 329458 [details]
Patch

Clearing flags on attachment: 329458

Committed r225979: <https://trac.webkit.org/changeset/225979>
Comment 5 WebKit Commit Bot 2017-12-15 12:35:31 PST
All reviewed patches have been landed.  Closing bug.